
ServerEvents.recipes(event => {

    event.recipes.gtceu.macerator('gtceu:blutonium_dust')
        .itemInputs('bigreactors:blutonium_ingot')
        .itemOutputs('bigreactors:blutonium_dust')
        .duration(239)
        .EUt(2);

    event.shaped(Item.of('bigreactors:basic_reactorcasing'), [
        'PPP',
        'PCP',
        'PPP'
    ], {
        P: 'gtceu:black_steel_plate',
        C: 'gtceu:clean_machine_casing'
    });

    event.shaped(Item.of('bigreactors:basic_reactorcontroller'), [
        'CMC',
        'PEP',
        'CPC'
    ], {
        P: 'gtceu:aluminium_double_plate',
        C: 'bigreactors:basic_reactorcasing',
        M: 'gtceu:computer_monitor_cover',
        E: '#forge:circuits/hv'
    });

    event.shaped(Item.of('bigreactors:basic_reactorfuelrod'), [
        'PAP',
        'GLG',
        'PAP'
    ], {
        A: 'gtceu:aluminium_double_plate',
        P: 'gtceu:black_steel_plate',
        G: 'gtceu:tempered_glass',
        L: 'gtceu:lead_small_fluid_pipe'
    });

    event.shaped(Item.of('bigreactors:basic_reactorcontrolrod'), [
        'CLC',
        'PIP',
        'CRC'
    ], {
        P: 'gtceu:black_steel_plate',
        C: 'bigreactors:basic_reactorcasing',
        I: 'gtceu:lv_electric_piston',
        L: '#forge:circuits/lv',
        R: 'gtceu:silver_long_rod'
    });

    event.shaped(Item.of('bigreactors:reprocessorcasing'), [
        'PCP',
        'CTC',
        'PCP'
    ], {
        P: 'gtceu:niobium_nitride_plate',
        T: 'gtceu:stable_machine_casing',
        C: 'bigreactors:cyanite_ingot'
    });

    event.shaped(Item.of('bigreactors:reprocessorcontroller'), [
        'CMC',
        'PEP',
        'CPC'
    ], {
        P: 'gtceu:black_bronze_double_plate',
        C: 'bigreactors:reprocessorcasing',
        M: 'gtceu:computer_monitor_cover',
        E: '#forge:circuits/ev'
    });

    event.replaceInput({ output: 'bigreactors:reprocessorcollector' },
        'minecraft:netherite_ingot',
        'gtceu:black_bronze_double_plate'
    );

    event.replaceInput({ input: 'bigreactors:yellorium' },
        'bigreactors:yellorium',
        'gtceu:uranium_ingot'
    );

    event.shaped(Item.of('bigreactors:fluidizercasing'), [
        'PCP',
        'CTC',
        'PCP'
    ], {
        P: 'gtceu:sterling_silver_plate',
        T: 'gtceu:stable_machine_casing',
        C: 'bigreactors:blutonium_ingot'
    });

    event.shaped(Item.of('bigreactors:fluidizercontroller'), [
        'CMC',
        'PEP',
        'CPC'
    ], {
        P: 'gtceu:kanthal_double_plate',
        C: 'bigreactors:fluidizercasing',
        M: 'gtceu:computer_monitor_cover',
        E: '#forge:circuits/ev'
    });

    event.replaceInput({ output: 'bigreactors:fluidizerfluidinjector' },
        'minecraft:netherite_ingot',
        'gtceu:nichrome_ingot'
    );

    event.shaped(Item.of('bigreactors:basic_turbinecasing'), [
        'PCP',
        'CTC',
        'PCP'
    ], {
        P: 'gtceu:sterling_silver_plate',
        T: 'gtceu:stable_machine_casing',
        C: 'bigreactors:ridiculite_ingot'
    });

    event.shaped(Item.of('bigreactors:basic_turbinecontroller'), [
        'CMC',
        'PEP',
        'CPC'
    ], {
        P: 'gtceu:nichrome_double_plate',
        C: 'bigreactors:basic_turbinecasing',
        M: 'gtceu:computer_monitor_cover',
        E: '#forge:circuits/ev'
    });
    event.shaped(Item.of('bigreactors:reinforced_turbinecasing'), [
        'PCP',
        'CTC',
        'PCP'
    ], {
        P: 'gtceu:naquadah_plate',
        T: 'gtceu:sturdy_machine_casing',
        C: 'bigreactors:inanite_ingot'
    });

    event.shaped(Item.of('bigreactors:reinforced_turbinecontroller'), [
        'CMC',
        'PEP',
        'CPC'
    ], {
        P: 'gtceu:hssg_double_plate',
        C: 'bigreactors:reinforced_turbinecasing',
        M: 'gtceu:computer_monitor_cover',
        E: '#forge:circuits/iv'
    });

    event.recipes.gtceu.large_chemical_reactor('benitoite')
        .itemInputs('gtceu:rutile_dust', 'gtceu:barium_sulfide_dust', '3x gtceu:silicon_dioxide_dust')
        .inputFluids('gtceu:oxygen 3000')
        .itemOutputs('bigreactors:benitoite_crystal')
        .outputFluids('gtceu:sulfur_dioxide 1000')
        .duration(4200)
        .EUt(1024);

    event.shaped(Item.of('bigreactors:reinforced_reactorcasing'), [
        'PPP',
        'PCP',
        'PPP'
    ], {
        P: 'gtceu:tungsten_carbide_plate',
        C: 'gtceu:frostproof_machine_casing'
    });

    event.shaped(Item.of('bigreactors:reinforced_reactorcontroller'), [
        'CMC',
        'PEP',
        'CPC'
    ], {
        P: 'gtceu:bismuth_bronze_double_plate',
        C: 'bigreactors:reinforced_reactorcasing',
        M: 'gtceu:computer_monitor_cover',
        E: '#forge:circuits/ev'
    });

    event.shaped(Item.of('bigreactors:reinforced_reactorfuelrod'), [
        'PAP',
        'GLG',
        'PAP'
    ], {
        A: 'gtceu:ultimet_double_plate',
        P: 'gtceu:vanadium_gallium_plate',
        G: 'gtceu:laminated_glass',
        L: 'gtceu:niobium_titanium_small_fluid_pipe'
    });

    event.shaped(Item.of('bigreactors:reinforced_reactorcontrolrod'), [
        'CLC',
        'PIP',
        'CRC'
    ], {
        P: 'gtceu:niobium_titanium_plate',
        C: 'bigreactors:reinforced_reactorcasing',
        I: 'gtceu:hv_electric_piston',
        L: '#forge:circuits/hv',
        R: 'gtceu:silver_long_rod'
    });

});